<template>
  <div class="trending-topic">
    <a @click="getHashtagData" class="hashtag" style="cursor: pointer">
      {{ topic.hashTag }}
    </a>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'TrendingTopic',
  props: {
    topic: {
      type: Object,
      required: true,
    },
  },
  methods: {
    getHashtagData() {
      const hashtagURL = `http://localhost:3001/h/hashtag/${this.topic.hashTag}`;
      axios.get(hashtagURL)
        .then(response => {
          // Manejar la respuesta
          console.log(response.data);
          // Redirigir a la página '/menu-trending-topic'
         //  window.location.href = '/BusquedaHashtag';
        })
        .catch(error => {
          // Manejar el error
          console.error(error);
        });
    },
  },
};
</script>

<style scoped>
.trending-topic {
  width: 50%; /* Cambia el valor según el tamaño deseado */
  margin: 0 auto; /* Centra el div horizontalmente */
}

.trending-topic-content {
  text-align: right;
  /* Otros estilos para el contenido del trending topic */
}

.hashtag {
  color: #1da1f2;
  font-weight: bold;
  margin-left: 4px;
}
</style>
